Bug Hunting Session
Bug 101556 - Move some (?) settings from Options > Calc > View to menu bar View
Summary: Move some (?) settings from Options > Calc > View to menu bar View
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: UNO-Command-New Options-Dialog
  Show dependency treegraph
 
Reported: 2016-08-16 10:54 UTC by lukas.wischounig
Modified: 2016-09-23 02:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lukas.wischounig 2016-08-16 10:54:51 UTC
Move settings from Extras -> Options -> LibreOfficeCalc --> View to somewhere in the "View" Menu Bar for faster access
Comment 1 Heiko Tietze 2016-09-15 21:35:58 UTC
Please elaborate your idea a bit. The Calc options contain of 10 pages each with numerous options, mostly used only once in a while.
Comment 2 lukas.wischounig 2016-09-21 13:30:36 UTC
(In reply to Heiko Tietze from comment #1)
> Please elaborate your idea a bit. The Calc options contain of 10 pages each
> with numerous options, mostly used only once in a while.

Hi Heiko!
I don't mean all options - only calc options that refer to the view. - e.g. highlight formulae, values etc. that refer to calc should be faster accessible in the view menu instead of beeing hidden somewhere in the depth of the properties .

Best Regards 
Lukas
Comment 3 Heiko Tietze 2016-09-21 14:06:21 UTC
We have a similar enhancement request for Writer in bug 99697. The view menu contains of a good number of options and we should aim for simplicity meaning only those options should be exposed to the UI that are toggled often (in case of "frequently" it's worth to put this feature into the toolbar).

WONTFIX from my side unless there is more interest (setting to NEW until the final solution).
Comment 4 Cor Nouws 2016-09-22 09:34:16 UTC
In general I agree with Heiko. But maybe there is one or two that really make sense? Lukas?
Comment 5 Heiko Tietze 2016-09-22 14:51:31 UTC
Setting WONTFIX since we did the same for bug 99697.
Comment 6 Yousuf Philips (jay) (retired) 2016-09-23 02:35:54 UTC
Hi lukas,

By default value highlighting and formulas are the only two that arent on by default in the options dialog and a value highlighting entry has always been in the view menu since 3.3 and I added a show formulas entry in master some time ago, so it will be available in the 5.3 release.

So just like Cor's request, are there any other ones that are highly toggled on and off that warrant addition into the view menu, as i tried them and dont see any.
Comment 7 Yousuf Philips (jay) (retired) 2016-09-23 02:43:03 UTC
@Eike: Any thoughts of what view options are worth easy access to toggle in the view menu?